

(function() {
    var examples = [ 

        { name: 'Catapult', id: 'catapult' }
      
    ];

    var sourceLinkRoot = '';

    for (var i = 0; i < examples.length; i += 1) {
        var example = examples[i];
        example.sourceLink = sourceLinkRoot + '/' + example.id + '.js';
        example.init = window.Example[example.id];

        if (!example.init) {
            console.warn('Example not loaded:', example.id);
        }
    }

    if (window.location.search.indexOf('compare') >= 0) {
        var compareScript = document.createElement('script');
        compareScript.src = '../js/Compare.js';
        window.MatterDemo = { examples: examples };
        document.body.append(compareScript);
        return;
    }

    var demo = MatterTools.Demo.create({
        toolbar: {
            title: 'ΙΣΟΡΡΟΠΙΑ ΣΤΕΡΕΟΥ - Η ΤΡΑΜΠΑΛΑ',
            url: '',
            reset: true,
            source: false,
            inspector: true,
            tools: true,
            fullscreen: true,
            exampleSelect: false
            
        },
        tools: {
            inspector: false,
            gui: false
        },
        inline: false,
        preventZoom: true,
        resetOnOrientation: true,
        routing: true,
        startExample: 'catapult',
        examples: examples
    });

    window.MatterDemo = demo;

    document.body.appendChild(demo.dom.root);

    MatterTools.Demo.start(demo);
})();
